package de.fhhannover.inform.trust.ifmapj.metadata;

/**
 * Possible values for the type element within an event.
 * 
 * @author ib
 *
 */
public enum EventType {
	p2p { public String toString() { return "p2p"; } },
	cve { public String toString() { return "cve"; } },
	botnetInfection { public String toString() { return "botnet infection"; } },
	wormInfection { public String toString() { return "worm infection"; } },
	excessiveFlows { public String toString() { return "excessive flows"; } },
	behavioralChange { public String toString() { return "behavioral change"; } },
	policyViolation { public String toString() { return "policy violation"; } },
	other { public String toString() { return "other"; } }
}
